OGRE: Bullet

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Bullet
Optional Components

Bullet-Physics to Ogre connection More...

## Classes
struct | Ogre::Bullet::CollisionListener
class | Ogre::Bullet::CollisionWorld
| simplified wrapper with automatic memory management More...
class | Ogre::Bullet::DebugDrawer
class | Ogre::Bullet::DynamicsWorld
| simplified wrapper with automatic memory management More...
struct | Ogre::Bullet::HeightFieldData
| height field data More...
class | Ogre::Bullet::KinematicMotionSimple
| helper class for kinematic body motion More...
struct | Ogre::Bullet::RayResultCallback
class | Ogre::Bullet::RigidBodyState
| A MotionState is Bullet's way of informing you about updates to an object. More...

## Enumerations
enum | Ogre::Bullet::ColliderType { Ogre::Bullet::CT_BOX , Ogre::Bullet::CT_SPHERE , Ogre::Bullet::CT_CYLINDER , Ogre::Bullet::CT_CAPSULE , Ogre::Bullet::CT_TRIMESH , Ogre::Bullet::CT_HULL , Ogre::Bullet::CT_COMPOUND }

## Functions
Quaternion | Ogre::Bullet::convert (const btQuaternion &q)
Vector3 | Ogre::Bullet::convert (const btVector3 &v)
btQuaternion | Ogre::Bullet::convert (const Quaternion &q)
btVector3 | Ogre::Bullet::convert (const Vector3 &v)
_OgreBulletExport btBoxShape * | Ogre::Bullet::createBoxCollider (const MovableObject *mo)
| create box collider using ogre provided data
_OgreBulletExport btCapsuleShape * | Ogre::Bullet::createCapsuleCollider (const MovableObject *mo)
| create capsule collider using ogre provided data
_OgreBulletExport btCompoundShape * | Ogre::Bullet::createCompoundShape ()
| create compound shape
_OgreBulletExport btConvexHullShape * | Ogre::Bullet::createConvexHullCollider (const Entity *ent)
| create convex hull collider
_OgreBulletExport btCylinderShape * | Ogre::Bullet::createCylinderCollider (const MovableObject *mo)
| create capsule collider using ogre provided data
_OgreBulletExport btHeightfieldTerrainShape * | Ogre::Bullet::createHeightfieldTerrainShape (const Terrain *terrain, struct HeightFieldData *data)
| create height field collider
_OgreBulletExport btSphereShape * | Ogre::Bullet::createSphereCollider (const MovableObject *mo)
| create sphere collider using ogre provided data
_OgreBulletExport btBvhTriangleMeshShape * | Ogre::Bullet::createTrimeshCollider (const Entity *ent)
| create triMesh collider

## Detailed Description

Bullet-Physics to Ogre connection

## Enumeration Type Documentation

## ◆ ColliderType

enum Ogre::Bullet::ColliderType

Enumerator
CT_BOX |
CT_SPHERE |
CT_CYLINDER |
CT_CAPSULE |
CT_TRIMESH |
CT_HULL |
CT_COMPOUND |

## Function Documentation

## ◆ convert() [1/4]

btQuaternion Ogre::Bullet::convert | ( | const Quaternion & | q | ) |
| inline

References Ogre::Quaternion::w, Ogre::Quaternion::x, Ogre::Quaternion::y, and Ogre::Quaternion::z.

Referenced by Ogre::Bullet::RigidBodyState::getWorldTransform().

## ◆ convert() [2/4]

btVector3 Ogre::Bullet::convert | ( | const Vector3 & | v | ) |
| inline

## ◆ convert() [3/4]

Quaternion Ogre::Bullet::convert | ( | const btQuaternion & | q | ) |
| inline

## ◆ convert() [4/4]

Vector3 Ogre::Bullet::convert | ( | const btVector3 & | v | ) |
| inline

## ◆ createSphereCollider()

_OgreBulletExport btSphereShape * Ogre::Bullet::createSphereCollider | ( | const MovableObject * | mo | ) |

create sphere collider using ogre provided data

## ◆ createBoxCollider()

_OgreBulletExport btBoxShape * Ogre::Bullet::createBoxCollider | ( | const MovableObject * | mo | ) |

create box collider using ogre provided data

## ◆ createCapsuleCollider()

_OgreBulletExport btCapsuleShape * Ogre::Bullet::createCapsuleCollider | ( | const MovableObject * | mo | ) |

create capsule collider using ogre provided data

## ◆ createCylinderCollider()

_OgreBulletExport btCylinderShape * Ogre::Bullet::createCylinderCollider | ( | const MovableObject * | mo | ) |

create capsule collider using ogre provided data

## ◆ createTrimeshCollider()

_OgreBulletExport btBvhTriangleMeshShape * Ogre::Bullet::createTrimeshCollider | ( | const Entity * | ent | ) |

create triMesh collider

## ◆ createConvexHullCollider()

_OgreBulletExport btConvexHullShape * Ogre::Bullet::createConvexHullCollider | ( | const Entity * | ent | ) |

create convex hull collider

## ◆ createCompoundShape()

_OgreBulletExport btCompoundShape * Ogre::Bullet::createCompoundShape | ( |  | ) |

create compound shape

## ◆ createHeightfieldTerrainShape()

_OgreBulletExport btHeightfieldTerrainShape * Ogre::Bullet::createHeightfieldTerrainShape | ( | const Terrain * | terrain,
|  | struct HeightFieldData * | data )

create height field collider